man(1)

NAME
sbbdep - Slack Build Binary Dependencies
The tool for exploring binary runtime dependencies on Slackware and Slackware based systems

SYNOPSIS
sbbdep [OPTIONS]... [QUERY] QUERY can be:
    A single binary/library file
    A file from /var/adm/packages
    A package DESTDIR of a slackbuild
    Some existing file
If QUERY is omitted sbbdep runs only the cache synchronisation.
The default behavior is to find dependencies of QUERY.
If QUERY is not a binary file or an installed package but a valid file name
sbbdep will search for it in the package database and reports the package it belongs to.

OPTIONS

-c, --cache=[FILENAME]
    Cache file to use. The cache file must be read/writable.
    If this option is omitted ~/sbbdep.cache is used.

-f, --file=[FILENAME]
    Write output to file FILENAME
    If this option is omitted the output will go to stdout.

-s, --short
    Report package name without version

--nosync
    Skip synchronise the cache. Only useful if cache is up to date.
    If the cache is out of date wrong results might be reported.

--quiet
    Suppress status information during sync

--require
    This is the default option if not --whoneeds is used.
    If this option is explicit given and QUERY is not a binary file
    The search in the package database will be skipped.

--whoneeds
    Show packages that depend on QUERY.
    Using this option will show which packages need a certain one.

--xdl
    Explain dynamic linked file, reports detailed information.
    Works with require and whoneeds queries.

--bdtree
    Prints a hierarchical dependency tree of QUERY.
    This can produce a quite long output of for some binaries or libraries.
    This can produce a very very big and long output for some package.

--ignore=[NAME,LIST]
    Takes a comma separated list of package names to ignore in the output.
    Either the base name or the full package name can be used.
    aaa_base,cxxlibs might be an example for this option.
    This option is valid for dependency queries, useless otherwise.

-l, --lookup
    Search for QUERY in the package database and skip all other operations.

--admdir=[DIRNAME]
    Usually you do not want to use this option.
    Use DIRNAME as package database.
    The default is /var/adm/packages.

--ldd
    You do not want to use this option to obtain dependency information.
    Using this option sbbdep will use the ldd command.
    This will not only print direct requirements of a given file.
    It will also pull in the dependencies of the requirements.
    This option is useless for a --whoneeds query.

-v,  --version
    Display sbbdep version.

-h,  --help
    Display this text.

FILES
~/.sbbdep.cache
    The cache sbbdep creates and uses.
    The filename can be changed via the -c/--cache option.
    Whatever file you use you might want to keep it.

BUGS
No known bugs at the moment.
If you have found a bug or want to place a feature request please use the issue tracer.
https://bitbucket.org/a4z/sbbdep/issues

SEE ALSO
There is a comprehensive documentation online.
http://a4z.bitbucket.org/docs/sbbdep/

AUTHOR
Harald Achitz (harald.achitz@gmail.com)